%define upstream_name	 Tree-Trie
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A data structure optimized for prefix lookup
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(Pod::Coverage) >= 0.180.0
BuildRequires: perl(Test::Pod) >= 1.260.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildArch:  noarch

%description
This module implements a trie data structure.  The term "trie"
comes from the word retrieval, but is generally pronounced like
"try".  A trie is a tree structure (or directed acyclic graph),
the nodes of which represent letters in a word.  For example, the
final lookup for the word 'bob' would look something like
"$ref->{'b'}{'o'}{'b'}{HASH(0x80c6bbc)}" (the HASH being an end
marker).  Only nodes which would represent words in the trie
exist, making the structure slightly smaller than a hash of the
same data set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/02_pod_cover.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Tree
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.900.0-9.mga6
+ Revision: 1035423
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.900.0-8.mga6
+ Revision: 949643
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.900.0-7.mga5
+ Revision: 790153
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.900.0-6.mga5
+ Revision: 747873
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.900.0-5.mga5
+ Revision: 686747
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.900.0-4.mga4
+ Revision: 515775
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-3.mga3
+ Revision: 374485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 kharec <kharec> 1.900.0-2.mga2
+ Revision: 175184
- shorten description

* Fri Dec 02 2011 kharec <kharec> 1.900.0-1.mga2
+ Revision: 175176
- update to 1.9

* Wed Jun 15 2011 jquelin <jquelin> 1.800.0-1.mga2
+ Revision: 107500
- update to 1.8

* Tue Jan 18 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 23034
- cleaning spec file
- imported package perl-Tree-Trie


* Sat Nov 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.700.0-1mdv2011.0
+ Revision: 594310
- update to new version 1.7

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.600.0-1mdv2011.0
+ Revision: 552692
- update to 1.6

* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 1.500.0-1mdv2010.0
+ Revision: 437260
- rebuild using %%perl_convert_version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Oden Eriksson <oeriksson@mandriva.com>
    - nuke borked tests

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdv2008.0
+ Revision: 69251
- update to new version 1.5

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.3-1mdv2008.0
+ Revision: 20768
- 1.3


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-2mdv2007.0
- buildrequires perl(Test::Pod)

* Mon Jul 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdv2007.0
- New version 1.2

* Thu Oct 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-3mdk
- oops, fixed descript line length

* Thu Oct 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-2mdk
- %%mkrel
- spec cleanup
- fix directory ownership
- test in %%check
- better summary
- reformat description

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdk
- initial Mandriva package

